<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
                                                   xmlns:app="http://schemas.android.com/apk/res-auto"
                                                   xmlns:tools="http://schemas.android.com/tools" android:layout_width="match_parent"
              android:layout_height="match_parent">

    <ImageButton
            android:layout_width="55dp"
            android:layout_height="55dp"
            app:layout_constraintStart_toStartOf="parent"
            android:background="@drawable/auth_oval_with_shadow"
            app:srcCompat="@drawable/ic_auth_back"
            android:scaleType="fitXY"
            android:id="@+id/arrowBack" android:layout_marginStart="16dp"
            app:layout_constraintTop_toTopOf="@+id/textView2" app:layout_constraintBottom_toBottomOf="@+id/textView2"
            android:layout_marginTop="8dp"/>

    <TextView
            android:text="Подтверждение"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            style="@style/AuthTextViewStyle.BigTextView"
            android:id="@+id/textView2"
            android:layout_marginTop="16dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"/>

    <TextView
            android:textAllCaps="true"
            android:gravity="center"
            android:textColor="@color/auth_light_grey"
            android:textSize="@dimen/auth_small_text_size"
            android:textStyle="bold"
            android:text="Подтвердите код из SMS"
            android:layout_width="122dp"
            android:layout_height="34dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            android:id="@+id/textView"
            app:layout_constraintTop_toBottomOf="@+id/textView2" android:layout_marginTop="68dp"/>

    <LinearLayout
            android:orientation="horizontal"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content" app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent" android:layout_marginTop="@dimen/auth_margin"
            app:layout_constraintTop_toBottomOf="@+id/textView" android:id="@+id/linearLayout">
        <FrameLayout android:layout_width="wrap_content"
                     android:layout_height="wrap_content"
                     android:layout_marginEnd="@dimen/number_margin">
            <ImageView
                    android:layout_gravity="center"
                    android:id="@+id/ellipse1"
                    android:src="@drawable/ic_auth_ellipse"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"/>
            <TextView
                    android:visibility="invisible"
                    android:layout_gravity="center"
                    style="@style/AuthTextViewStyle.BigTextView"
                    android:textColor="@color/colorPrimary"
                    android:id="@+id/number1"
                    android:text="7"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"/>
        </FrameLayout>
        <FrameLayout android:layout_width="wrap_content"
                     android:layout_height="wrap_content"
                     android:layout_marginEnd="@dimen/number_margin">
            <ImageView
                    android:layout_gravity="center"
                    android:id="@+id/ellipse2"
                    android:src="@drawable/ic_auth_ellipse"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"/>
            <TextView
                    android:visibility="invisible"
                    android:layout_gravity="center"
                    style="@style/AuthTextViewStyle.BigTextView"
                    android:textColor="@color/colorPrimary"
                    android:id="@+id/number2"
                    android:text="1"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"/>
        </FrameLayout>
        <FrameLayout android:layout_width="wrap_content"
                     android:layout_height="wrap_content"
                     android:layout_marginEnd="@dimen/number_margin">
            <ImageView
                    android:layout_gravity="center"
                    android:id="@+id/ellipse3"
                    android:src="@drawable/ic_auth_ellipse"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"/>
            <TextView
                    android:visibility="invisible"
                    android:layout_gravity="center"
                    style="@style/AuthTextViewStyle.BigTextView"
                    android:textColor="@color/colorPrimary"
                    android:id="@+id/number3"
                    android:text="2"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"/>
        </FrameLayout>
        <FrameLayout android:layout_width="wrap_content"
                     android:layout_height="wrap_content">
            <ImageView
                    android:layout_gravity="center"
                    android:id="@+id/ellipse4"
                    android:src="@drawable/ic_auth_ellipse"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"/>
            <TextView
                    android:visibility="invisible"
                    android:layout_gravity="center"
                    style="@style/AuthTextViewStyle.BigTextView"
                    android:textColor="@color/colorPrimary"
                    android:id="@+id/number4"
                    android:text="5"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"/>
        </FrameLayout>
    </LinearLayout>

    <LinearLayout
            android:orientation="horizontal"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/textWrongCode"
            app:layout_constraintVertical_bias="0.0"
            android:layout_marginTop="22dp" android:id="@+id/linearNewCode">
        <TextView
                android:text="Не пришел код?"
                android:layout_marginEnd="5dp"
                style="@style/AuthTextViewStyle.SmallTextView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"/>
        <TextView
                android:text="Получить новый"
                style="@style/AuthTextViewStyle.SmallTextView"
                android:textColor="@color/colorPrimary"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"/>
    </LinearLayout>
    <TextView
            android:textColor="@color/auth_text_color"
            android:visibility="invisible"
            android:text="Неверный код"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:layout_constraintStart_toStartOf="parent" app:layout_constraintEnd_toEndOf="parent"
            android:id="@+id/textWrongCode" android:layout_marginTop="8dp"
            app:layout_constraintTop_toBottomOf="@+id/linearLayout"/>

    <LinearLayout
            android:visibility="invisible"
            android:orientation="horizontal"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="22dp"
            app:layout_constraintTop_toBottomOf="@+id/textWrongCode" app:layout_constraintEnd_toEndOf="parent"
            android:layout_marginEnd="8dp" app:layout_constraintStart_toStartOf="parent"
            android:layout_marginStart="8dp" android:id="@+id/linearWait">
        <TextView
                android:text="Повторная отправка через ..."
                android:layout_marginEnd="5dp"
                style="@style/AuthTextViewStyle.SmallTextView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"/>
        <TextView
                android:text="30"
                style="@style/AuthTextViewStyle.SmallTextView"
                android:textColor="@color/colorPrimary"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content" android:id="@+id/textSeconds"/>
        <TextView
                android:text=" сек"
                android:layout_marginEnd="5dp"
                style="@style/AuthTextViewStyle.SmallTextView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"/>
    </LinearLayout>

    <EditText
            android:focusable="true"
            android:cursorVisible="false"
            android:textColor="@color/invisible"
            android:background="@color/invisible"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:inputType="number"
            android:ems="4"
            android:maxEms="4"
            android:id="@+id/editNumbers"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintBottom_toTopOf="@+id/linearWait" android:layout_marginTop="8dp"
            app:layout_constraintTop_toBottomOf="@+id/textView2" android:layout_marginBottom="16dp"
            android:layout_marginStart="8dp" android:layout_marginEnd="8dp"/>
</androidx.constraintlayout.widget.ConstraintLayout>